{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> friend Fasilkom</h2>
                    <div id="friend-lists" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            function tes(data){
              for (i = 0; i < data.length; i++) {
                npm = data[i]['npm']
                html = '<p class="list-group-item clearfix">' +
                data[i]['friend_name']+ ' (' + data[i]['npm'] + ')' +
                '<a class="float-right" href="/lab-7/delete-friend/'
                +npm+'/"><span class="btn btn-danger float-right">Hapus teman</span></a>' + '</p>';
                $("#friend-lists").append(html);
              };
            };

            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list' %}", // update
                dataType: "json",
                success: function (response) {
                    console.log(response);
                    tes(response['results']);
                    },
                error: function(error){
                    alert(error.responseText)
                }
            });
        });
    </script>
{% endblock %}
